Status: Closed Priority: Normal
Author: Chris Dähn Category: Wikis
Created: 2013-02-02 Assignee: Holger Just
Updated: 2013-03-19 Due date:
Remote issue URL:
Affected version:
Description: After upgrading to the latest version, one of the articles in my wiki (including some code samples) started 

showing this error:

[Liquid Syntax Error] Unknown tag 'autoescape'

I have 'autoescape' in some example code which is quoted in the article in < pre > tags. Where should I look 
for explanations?

The part which causes the error is most likely this one: http://pastebin.com/Yvy1vj5N

*Discussion:* https://www.chiliproject.org/boards/1/topics/2361?r=2368

History
2013-02-02 01:32 pm - GDR! GDR!
I've looked it up and judging by stack trace, it looks like Liquid Templating Language (http://liquidmarkup.org/ ) is used somewhere in chiliproject, and 
thinks it's its own command. It uses { % for control markup. 

So I would guess that wiki code is not properly escaped before passing to template engine? Hard to say, I don't know ruby.

2013-02-02 01:57 pm - Felix Schäfer
- Assignee changed from Felix Schäfer to Holger Just

That's something Holger can better fix, as he did the liquid integration :-)

2013-03-19 09:27 pm - Holger Just
- Target version deleted (3.8.0)

- Status changed from Open to Closed

We use Liquid in ChiliProject as an additional logic layer on top of Textile since ChiliProject 3.0. Liquid uses the {%raw%}@{{ foo }}@{%endraw%} and 
{%raw%}@{% foo %}@{%endraw%} syntax for its functionality.

Liquid doesn't adhere to textile code or pre-blocks, as that would cripple the expressiveness of the language. If you want to include text that parses as 
liquid verbatim, you have to wrap that in liquid {%raw%}@{% raw %}@{%endraw%} tags. At the end of the escaped block you then have to add an 
@endraw@ tag (that I can't include here verbatim as that would still be parsed as liquid...

So basically you can write something like this, with the underscores replaced with percent characters: <pre>{_ raw _} my stuff {_ endraw _}</pre>

You can learn more about Liquid at the [[Liquid|respective wiki page]].
